Databases
cancel
Showing results for 
Search instead for 
Did you mean: 

Oracle Upgrade to 9.2.0.7 fails

Oracle Upgrade to 9.2.0.7 fails

Hello,

we use Oracle 9.2.0.1 on HP UX 11.11.
We want to upgrade to version 9.2.0.7, but the installation fails with the error:
"There was an error while loading library: generalQueries"
The installation shield offers to stop the installation of all components or just this one, but in either case the install shield crashes or returns to
the window "Specify File Locations".

Does anyone know what the problem is?
Thanks very much!
Kind regards
Sabine
8 REPLIES
Steven E. Protter
Exalted Contributor

Re: Oracle Upgrade to 9.2.0.7 fails

Shalom Sabine,

Install Sheild?

Thats a product for Windows.

The oracle univerasal installer is what we install Oracle into HP-UX with.

I would confirm I have the right software and if so, look for the log file from the isntall.

If this is a HP-UX oracle install issue, its very important to follow the document that comes with the software very carefully. There are pre-requesite's, instructions on when the database should be up or not up. Lots of details, any of which can frustrate you.

I'm pretty certain there is an intermediate patch you will need to install prior to oracle.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Peter Godron
Honored Contributor

Re: Oracle Upgrade to 9.2.0.7 fails

Sabine,
have you double-checked all the pre-requisites like SHLIB_PATH etc.
Make sure you have the correct install code for your machine.
Is there anything unusual in the log files?

Re: Oracle Upgrade to 9.2.0.7 fails

Hallo everybody

from another forum I got the solution and I post it here if someone else encounters this
problem:

Solution :

To implement the solution, please execute the following steps:

1, If you haven't the zip file (patchset) in your windows system, download it again
2. Without unzipping it in windows system, transfer in binary mode to the unix system
3. Unzip the file in unix system
4. check directories under ../Disk1/stage, they should have Actions, Components, Dialogs,
PatchSets, Patches, Queries and fastcopy (be careful about upcase)
5. if directories are ok, try to reinstall the patchset


I unzipped the files on Windows and then transfered them, that was apparently the problem.

Thanks for you help anyway
Regards
Sabine
Yogeeraj_1
Honored Contributor

Re: Oracle Upgrade to 9.2.0.7 fails

hi sabine,

Seems like your Inventory is Corrupted!!

To fix this, you may wish to do the following:

1. Install the base version onto a new ORACLE_HOME - ensure that you rename
oraInst.loc before you do this, so that a new one is created

2. Apply the 9.2.0.7.0 patchset over that.

See also metalink note: 258141.1 - "generalQueries error during installation of 9.2.0.4 patchset"

hope this helps!

kind regards
yogeeraj
No person was ever honoured for what he received. Honour has been the reward for what he gave (clavin coolidge)
Simon Wickham_6
Regular Advisor

Re: Oracle Upgrade to 9.2.0.7 fails

Hi

See enclosed readme.

Regards,
Simon
Simon Wickham_6
Regular Advisor

Re: Oracle Upgrade to 9.2.0.7 fails

Hi,

Have you Set the ORACLE_HOME environment variable before running the the opatch command from the opatch folder. Run opatch to get the inventory listing.

opatch lsinventory -detail > list.txt

Also before starting the installation check whether "java" and "jar" executables are present in your Oracle Home. In a standard Oracle installation.

Regards,
Simon
Simon Wickham_6
Regular Advisor

Re: Oracle Upgrade to 9.2.0.7 fails

If you attempt to install this patch set in an Oracle home directory that does not contain an Oracle9i installation, the Installer displays a warning dialog with the following error:
There are no patches that need to be applied from the
patchset Oracle9i patch set 9.2.0.7.0


The Oracle Universal Installer does not allow the installation to proceed. Click OK, then click Cancel to end the installation.


The following procedure describes how to install the patch set interactively:

Log in as the Oracle software owner (typically oracle).

If you are not installing the software on the local system, enter the following command to direct X applications to display on the local system:

Bourne, Bash, or Korn shell:

$ DISPLAY=local_host:0.0 ; export DISPLAY


Enter the following command to set the LD_LIBRARY_PATH environment variable:

Bourne, Bash, or Korn shell:

$ LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$ORACLE_HOME/lib; export LD_LIBRARY_PATH


Enter following commands to start the Installer where patchset_directory is the directory where you unzipped the patch set software:

$ patchset_directory/Disk1
$ ./runInstaller

Pat Obrien_1
Regular Advisor

Re: Oracle Upgrade to 9.2.0.7 fails

Strictly unix admin here, but I had to install a java sdk according to my DBA for them to install this patch.